## aegisub 3.0.4

=== Makefile ===
include Makefile.inc

SUBDIRS += \
	universalchardet \
	libaegisub \
	tools \
	src \
	automation \
	desktop \
	po

ifeq (yes, $(ENABLE_REPORTER))
SUBDIRS += reporter
endif

all: ;

ifeq (yes, $(BUILD_DARWIN))
osx-bundle:
	$(BIN_SHELL) tools/osx-bundle.sh "$(AEGISUB_COMMAND)" "$(BIN_WX_CONFIG)" DICT_DIR=$(DICT_DIR)

osx-dmg: osx-bundle
	$(BIN_SHELL) tools/osx-dmg.sh "$(BUILD_VERSION_STRING)"

osx-tinderbox-bundle:
	$(BIN_SHELL) tools/osx-bundle.sh "$(T_BUNDLE)" $(AEGISUB_VERSION_DATA) "$(BIN_WX_CONFIG)" DICT_DIR="$(DICT_DIR)"

osx-tinderbox-dmg:
	$(BIN_SHELL) tools/osx-dmg.sh "$(T_DMG)" "$(T_BUNDLE)"
	$(BIN_MV)  "$(T_DMG).dmg" bundle.dmg
endif


EXTRA_DIST = \
	INSTALL \
	LICENCE \
	README \
	acinclude.m4 \
	autogen.sh \
	configure.in \
	acconf.h.in\
	configure \
	build/git_version.h \
	config.log \
	config.sub \
	config.guess \
	install-sh \
	Makefile.inc.in \
	Makefile.target


# m4macros/
EXTRA_DIST += \
	m4macros/ac_agi.m4 \
	m4macros/ac_agi_mdcpucfg.m4 \
	m4macros/ac_flag.m4 \
	m4macros/agi_find_libheader.m4 \
	m4macros/ax_check_gl.m4 \
	m4macros/ax_lang_compiler_ms.m4 \
	m4macros/ax_pthread.m4 \
	m4macros/check_gnu_make.m4

# packages/osx_bundle/
EXTRA_DIST += \
	packages/osx_bundle/Contents/Info.plist \
	packages/osx_bundle/Contents/Resources/*.icns \
	packages/osx_bundle/Contents/Resources/etc/fonts/fonts.conf \
	packages/osx_bundle/Contents/Resources/etc/fonts/fonts.dtd \
	packages/osx_bundle/Contents/Resources/etc/fonts/conf.d/*.conf

# packages/osx_dmg/
EXTRA_DIST += \
	packages/osx_dmg/dmg_background.png \
	packages/osx_dmg/dmg_set_style.applescript


DISTCLEANFILES += \
	acconf.h \
	configure \
	acconf.h.in~ \
	build/git_version.h \
	Makefile.inc \
	config.log \
	acconf.h.in \
	config.status \
	autom4te.cache \
	aclocal.m4 \

include Makefile.target

=== automation/Makefile ===
include ../Makefile.inc

# share/
DATA_AUTOMATION += \
	autoload/clean-info.lua \
	autoload/cleantags-autoload.lua \
	autoload/kara-templater.lua \
	autoload/karaoke-auto-leadin.lua \
	autoload/macro-1-edgeblur.lua \
	autoload/macro-2-mkfullwitdh.lua \
	autoload/select-overlaps.lua \
	autoload/strip-tags.lua \
	include/cleantags.lua \
	include/clipboard.lua \
	include/karaskel-auto4.lua \
	include/karaskel.lua \
	include/re.lua \
	include/unicode.lua \
	include/utils-auto4.lua \
	include/utils.lua

all: ;

install: install-share
	@$(BIN_MKDIR) -p $(addprefix $(DESTDIR)$(P_DATA)/automation/, $(dir $(DATA_AUTOMATION)))
	@for i in $(DATA_AUTOMATION); do \
		$(BIN_ECHO) "$(BIN_INSTALL) $$i $(DESTDIR)$(P_DATA)/automation/$$i"; \
		$(BIN_INSTALL) $$i $(DESTDIR)$(P_DATA)/automation/$$i; \
	done

EXTRA_DIST = $(DATA_AUTOMATION)

include ../Makefile.target

=== desktop/Makefile ===
include ../Makefile.inc

applicationsdir = $(DESKTOP_DATADIR)/applications
applications_DATA = aegisub.desktop

iconsscalabledir = $(DESKTOP_DATADIR)/icons/hicolor/scalable/apps
iconsscalable_DATA = scalable/aegisub.svg


all: ;

ICON_HICOLOR = \
	16x16/apps/aegisub.png \
	22x22/apps/aegisub.png \
	24x24/apps/aegisub.png \
	32x32/apps/aegisub.png \
	48x48/apps/aegisub.png \
	64x64/apps/aegisub.png

ICON_SCALABLE = \
	scalable/apps/aegisub.svg

DESKTOP_FILE = \
	aegisub.desktop

EXTRA_DIST = \
	aegisub.desktop.in \
	$(ICON_HICOLOR) \
	$(ICON_SCALABLE)

install: install-desktop install-icons

install-desktop:
	@$(BIN_MKDIR) -p $(DESTDIR)$(P_DESKTOP)
	$(BIN_INSTALL) $(DESKTOP_FILE) $(DESTDIR)$(P_DESKTOP)/$(DESKTOP_FILE)


install-icons:
	@$(BIN_MKDIR) -p $(addprefix $(DESTDIR)$(P_ICON)/hicolor/, $(dir $(ICON_HICOLOR)))
	@for i in $(ICON_HICOLOR); do \
		$(BIN_ECHO) "$(BIN_INSTALL) $$i $(DESTDIR)$(P_ICON)/hicolor/$$i"; \
		$(BIN_INSTALL) $$i $(DESTDIR)$(P_ICON)/hicolor/$$i; \
	done
	$(BIN_TOUCH) $(DESTDIR)$(P_ICON)/hicolor
	$(BIN_MKDIR) -p $(DESTDIR)$(P_ICON)/hicolor/scalable/apps
	$(BIN_CP) $(ICON_SCALABLE) $(DESTDIR)$(P_ICON)/hicolor/$(ICON_SCALABLE)


DISTCLEANFILES = aegisub.desktop

include ../Makefile.target

=== libaegisub/Makefile ===
# $Id$
include ../Makefile.inc

LIB = libaegisub.a

CXXFLAGS += -Iinclude -I../src -I.. -DLAGI -fPIC -Wno-variadic-macros

PRECOMPILED_HEADER_NAME = lagi_pre.h
lagi_pre.h.gch: CXXFLAGS := $(CXXFLAGS)

ifeq (yes, $(BUILD_DARWIN))
CXXFLAGS += -I/Developer/SDKs/MacOSX10.5.sdk/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/Headers/
LIBS += -L../universalchardet -luniversalchardet
endif

common/charset_conv.o: CXXFLAGS += $(CFLAGS_ICONV)
unix/path.o: CXXFLAGS += -DP_DATA=\"$(P_DATA)\" -DP_DOC=\"$(P_DOC)\" -DP_LOCALE=\"$(P_LOCALE)\"

SRC += \
	common/cajun/elements.cpp \
	common/cajun/reader.cpp \
	common/cajun/writer.cpp \
	common/charset.cpp \
	common/charset_6937.cpp \
	common/charset_conv.cpp \
	common/charset_ucd.cpp \
	common/hotkey.cpp \
	common/io.cpp \
	common/json.cpp \
	common/mru.cpp \
	common/option.cpp \
	common/option_visit.cpp \
	common/path.cpp \
	common/keyframe.cpp \
	common/util.cpp \
	common/log.cpp \
	common/thesaurus.cpp \
	common/validator.cpp \
	common/vfr.cpp \
	unix/util.cpp \
	unix/access.cpp \
	unix/log.cpp \
	unix/path.cpp

ifeq (yes, $(BUILD_DARWIN))
SRC += osx/util.mm
endif

HEADER += \
	*.h \
	*/*.h \
	include/libaegisub/*.h \
	include/libaegisub/charsets.def \
	include/libaegisub/cajun/*.h

EXTRA_DIST += osx/util.mm

include ../Makefile.target
-include */*.d

=== po/Makefile ===
include ../Makefile.inc

.SUFFIXES: .po .mo

PO = \
	ar.po \
	ca.po \
	cs.po \
	da.po \
	de.po \
	el.po \
	es.po \
	eu.po \
	fa.po \
	fi.po \
	fr_FR.po \
	hu.po \
	id.po \
	it.po \
	ja.po \
	ko.po \
	nl.po \
	pl.po \
	pt_BR.po \
	pt_PT.po \
	ru.po \
	sr_RS.po \
	sr_RS@latin.po \
	vi.po \
	zh_CN.po \
	zh_TW.po

MO = $(addsuffix .mo, $(basename $(PO)))

all: $(MO)

%.mo: %.po
	$(BIN_MSGFMT) -o $@ $<

install:
	@$(BIN_MKDIR) -p $(addsuffix /LC_MESSAGES/, $(addprefix $(DESTDIR)$(P_LOCALE)/, $(basename $(PO))))
	@for i in $(basename $(PO)); do \
		echo $(BIN_INSTALL) $$i.mo $(DESTDIR)$(P_LOCALE)/$$i/LC_MESSAGES/$(AEGISUB_CATALOG).mo; \
		$(BIN_INSTALL) $$i.mo $(DESTDIR)$(P_LOCALE)/$$i/LC_MESSAGES/$(AEGISUB_CATALOG).mo; \
	done


CLEANFILES = $(MO)

include ../Makefile.target

=== reporter/Makefile ===
include ../Makefile.inc

PROGRAM = reporter-3.0
PROGRAM_INSTALL = yes
PRECOMPILED_HEADER_NAME=r_pre.h

CXXFLAGS += -Iinclude $(CFLAGS_WX) -I../libaegisub/include
LIBS += $(LIBS_WX) $(LIBS_LIBCURL) -L../libaegisub -laegisub $(LIBS_UCHARDET) $(LIBS_GL)

# File-specific flags
upload.o: CXXFLAGS += $(CFLAGS_CURL)

SRC = \
	aegisub.cpp \
	main.cpp \
	platform.cpp \
	platform_unix.cpp \
	progress.cpp \
	report.cpp \
	upload.cpp \
	util.cpp \
	view.cpp


ifeq (yes, $(BUILD_BSD))
SRC += platform_unix_bsd.cpp
else
EXTRA_DIST += platform_unix_bsd.cpp
endif

ifeq (yes, $(BUILD_LINUX))
SRC += platform_unix_linux.cpp
else
EXTRA_DIST += platform_unix_linux.cpp
endif

ifeq (yes, $(BUILD_DARWIN))
SRC += platform_unix_osx.cpp
else
EXTRA_DIST += platform_unix_osx.cpp
endif

HEADER = \
	*.h \
	include/*.h

include ../Makefile.target
-include *.d

=== src/Makefile ===
include ../Makefile.inc

PROGRAM = $(AEGISUB_COMMAND)
PROGRAM_INSTALL = yes

PRECOMPILED_HEADER_NAME=agi_pre.h

AEGISUB_CFLAGS = -I. -I.. -Iinclude -I../libaegisub/include -I../build -DAEGISUB $(CFLAGS_PTHREAD) $(CFLAGS_FFTW3) $(CFLAGS_PROFILE)

CFLAGS += $(AEGISUB_CFLAGS)
CXXFLAGS += $(AEGISUB_CFLAGS) -D__STDC_FORMAT_MACROS $(CXXFLAGS_WX)

LIBS := -L../libaegisub -laegisub $(LIBS)
LIBS += $(LIBS_CCMALLOC) $(LIBS_EFENCE) $(LIBS_GL)
LIBS += $(LIBS_PTHREAD) $(LIBS_WX) $(LIBS_FREETYPE)
LIBS += $(LIBS_FONTCONFIG) $(LIBS_FFTW3)
LIBS += $(LIBS_UCHARDET)

LDFLAGS += $(LDFLAGS_CCMALLOC)

ifeq (yes, $(BUILD_DARWIN))
SRC += osx_utils.mm
endif

###############
# AUDIO PLAYERS
###############
ifeq (yes, $(HAVE_ALSA))
audio_player_alsa.o: CXXFLAGS += $(CFLAGS_ALSA)
LIBS += $(LIBS_ALSA)
SRC += audio_player_alsa.cpp
else
EXTRA_DIST += audio_player_alsa.cpp
endif

ifeq (yes, $(HAVE_PORTAUDIO))
audio_player_portaudio.o: CXXFLAGS += $(CFLAGS_PORTAUDIO)
LIBS += $(LIBS_PORTAUDIO)
SRC += audio_player_portaudio.cpp
else
EXTRA_DIST += audio_player_portaudio.cpp
endif

ifeq (yes, $(HAVE_LIBPULSE))
audio_player_pulse.o: CXXFLAGS += $(CFLAGS_LIBPULSE)
LIBS += $(LIBS_LIBPULSE)
SRC += audio_player_pulse.cpp
else
EXTRA_DIST += audio_player_pulse.cpp
endif

ifeq (yes, $(HAVE_OPENAL))
audio_player_openal.o: CXXFLAGS += $(CFLAGS_OPENAL)
LIBS += $(LIBS_OPENAL)
SRC += audio_player_openal.cpp
else
EXTRA_DIST += audio_player_openal.cpp
endif

ifeq (yes, $(HAVE_OSS))
audio_player_oss.o: CXXFLAGS += $(CFLAGS_OSS)
SRC += audio_player_oss.cpp
else
EXTRA_DIST += audio_player_oss.cpp
endif

#######################
# AUDIO / VIDEO SUPPORT
#######################
ifeq (yes, $(HAVE_FFMS2))
audio_provider_ffmpegsource.o video_provider_ffmpegsource.o ffmpegsource_common.o preferences.o: \
	CXXFLAGS += $(CFLAGS_FFMS2)
LIBS += $(LIBS_FFMS2)
SRC += audio_provider_ffmpegsource.cpp video_provider_ffmpegsource.cpp ffmpegsource_common.cpp
else
EXTRA_DIST += audio_provider_ffmpegsource.cpp video_provider_ffmpegsource.cpp ffmpegsource_common.cpp
endif

###########
# SUBTITLES
###########
ifeq (yes, $(HAVE_LIBASS))
subtitles_provider_libass.o: CXXFLAGS += $(CFLAGS_LIBASS)
LIBS += $(LIBS_LIBASS)
SRC += subtitles_provider_libass.cpp
else
EXTRA_DIST += subtitles_provider_libass.cpp
endif

############
# AUTOMATION
############
ifeq (yes, $(HAVE_AUTO4_LUA))
auto4_lua.o auto4_lua_assfile.o auto4_lua_dialog.o  auto4_lua_progresssink.o auto4_lua_scriptreader.o: CXXFLAGS += $(CFLAGS_LUA)
LIBS += $(LIBS_LUA)
SRC += auto4_lua.cpp auto4_lua_assfile.cpp auto4_lua_dialog.cpp auto4_lua_progresssink.cpp auto4_lua_scriptreader.cpp
else
EXTRA_DIST += auto4_lua.cpp auto4_lua_assfile.cpp auto4_lua_dialog.cpp auto4_lua_progresssink.cpp auto4_lua_scriptreader.cpp
endif

##############
# MISCELLANOUS
##############
ifeq (yes, $(HAVE_HUNSPELL))
spellchecker_hunspell.o: CXXFLAGS += $(CFLAGS_HUNSPELL)
LIBS += $(LIBS_HUNSPELL)
SRC += spellchecker_hunspell.cpp
else
EXTRA_DIST += spellchecker_hunspell.cpp
endif

#####################
# SOURCE-LEVEL CFLAGS
#####################
audio_player.o:                CXXFLAGS += $(CFLAGS_ALSA) $(CFLAGS_PORTAUDIO) $(CFLAGS_LIBPULSE) $(CFLAGS_OPENAL)
audio_provider.o:              CXXFLAGS += $(CFLAGS_FFMS2)
auto4_base.o:                  CXXFLAGS += $(CFLAGS_FREETYPE)
charset_detect.o:              CXXFLAGS += -D_X86_
font_file_lister_fontconfig.o: CXXFLAGS += $(CFLAGS_FONTCONFIG)
text_file_reader.o:            CXXFLAGS += -D_X86_
video_provider_manager.o:      CXXFLAGS += $(CFLAGS_FFMS2)

SRC += \
	MatroskaParser.c \
	aegisublocale.cpp \
	ass_attachment.cpp \
	ass_dialogue.cpp \
	ass_entry.cpp \
	ass_export_filter.cpp \
	ass_exporter.cpp \
	ass_file.cpp \
	ass_karaoke.cpp \
	ass_override.cpp \
	ass_style.cpp \
	ass_style_storage.cpp \
	ass_time.cpp \
	audio_box.cpp \
	audio_controller.cpp \
	audio_colorscheme.cpp \
	audio_display.cpp \
	audio_karaoke.cpp \
	audio_marker.cpp \
	audio_player.cpp \
	audio_provider.cpp \
	audio_provider_convert.cpp \
	audio_provider_hd.cpp \
	audio_provider_lock.cpp \
	audio_provider_pcm.cpp \
	audio_provider_ram.cpp \
	audio_renderer.cpp \
	audio_renderer_spectrum.cpp \
	audio_renderer_waveform.cpp \
	audio_timing_dialogue.cpp \
	audio_timing_karaoke.cpp \
	auto4_base.cpp \
	avisynth_wrap.cpp \
	base_grid.cpp \
	charset_conv.cpp \
	charset_detect.cpp \
	colorspace.cpp \
	colour_button.cpp \
	compat.cpp \
	dialog_about.cpp \
	dialog_attachments.cpp \
	dialog_automation.cpp \
	dialog_colorpicker.cpp \
	dialog_detached_video.cpp \
	dialog_dummy_video.cpp \
	dialog_export.cpp \
	dialog_export_ebu3264.cpp \
	dialog_fonts_collector.cpp \
	dialog_jumpto.cpp \
	dialog_kara_timing_copy.cpp \
	dialog_log.cpp \
	dialog_paste_over.cpp \
	dialog_progress.cpp \
	dialog_properties.cpp \
	dialog_resample.cpp \
	dialog_search_replace.cpp \
	dialog_selected_choices.cpp \
	dialog_selection.cpp \
	dialog_shift_times.cpp \
	dialog_spellchecker.cpp \
	dialog_style_editor.cpp \
	dialog_style_manager.cpp \
	dialog_styling_assistant.cpp \
	dialog_text_import.cpp \
	dialog_timing_processor.cpp \
	dialog_translation.cpp \
	dialog_version_check.cpp \
	dialog_video_details.cpp \
	audio_provider_dummy.cpp \
	export_fixstyle.cpp \
	export_framerate.cpp \
	fft.cpp \
	font_file_lister.cpp \
	font_file_lister_fontconfig.cpp \
	frame_main.cpp \
	gl_text.cpp \
	gl_wrap.cpp \
	help_button.cpp \
	hotkey.cpp \
	hotkey_data_view_model.cpp \
	kana_table.cpp \
	main.cpp \
	menu.cpp \
	md5.c \
	mkv_wrap.cpp \
	pen.cpp \
	persist_location.cpp \
	plugin_manager.cpp \
	preferences.cpp \
	preferences_base.cpp \
	scintilla_text_ctrl.cpp \
	spellchecker.cpp \
	spline.cpp \
	spline_curve.cpp \
	standard_paths.cpp \
	string_codec.cpp \
	subs_edit_box.cpp \
	subs_edit_ctrl.cpp \
	subs_grid.cpp \
	subs_preview.cpp \
	subtitle_format.cpp \
	subtitle_format_ass.cpp \
	subtitle_format_ebu3264.cpp \
	subtitle_format_encore.cpp \
	subtitle_format_microdvd.cpp \
	subtitle_format_mkv.cpp \
	subtitle_format_srt.cpp \
	subtitle_format_transtation.cpp \
	subtitle_format_ttxt.cpp \
	subtitle_format_txt.cpp \
	subtitles_provider.cpp \
	text_file_reader.cpp \
	text_file_writer.cpp \
	thesaurus.cpp \
	timeedit_ctrl.cpp \
	threaded_frame_source.cpp \
	toggle_bitmap.cpp \
	toolbar.cpp \
	tooltip_manager.cpp \
	utils.cpp \
	validators.cpp \
	variable_data.cpp \
	vector2d.cpp \
	version.cpp \
	video_box.cpp \
	video_context.cpp \
	video_display.cpp \
	video_frame.cpp \
	video_out_gl.cpp \
	video_provider_cache.cpp \
	video_provider_dummy.cpp \
	video_provider_manager.cpp \
	video_provider_yuv4mpeg.cpp \
	video_slider.cpp \
	visual_feature.cpp \
	visual_tool.cpp \
	visual_tool_clip.cpp \
	visual_tool_cross.cpp \
	visual_tool_drag.cpp \
	visual_tool_rotatexy.cpp \
	visual_tool_rotatez.cpp \
	visual_tool_scale.cpp \
	visual_tool_vector_clip.cpp


HEADER += \
	*.h \
	command/*.h \
	config/*.h \
	include/aegisub/*.h \
	gl/*.h

EXTRA_DIST += \
	bitmaps/button/*.png \
	bitmaps/misc/*.png \
	bitmaps/windows/eyedropper.cur \
	bitmaps/windows/icon.ico \
	bitmaps/*.respack

EXTRA_DIST += \
	command/Makefile.inc \
	libresrc/Makefile.inc

include command/Makefile.inc
include libresrc/Makefile.inc

include ../Makefile.target
-include *.d
-include command/*.d
-include libresrc/*.d

=== tests/Makefile ===
# $Id$
include ../Makefile.inc

PROGRAM = run

LIBS += -L../libaegisub -laegisub  -lgtest -L../universalchardet -luniversalchardet
LDFLAGS += -Wl,-rpath $(CURDIR)/../libaegisub $(LDFLAGS_ICONV)

CPPFLAGS += -I../src/include -I../libaegisub/include $(CFLAGS_ICONV)
CXXFLAGS += -Wno-unused-value

ifeq (yes, $(BUILD_DARWIN))
LDFLAGS += -framework ApplicationServices
endif

SRC = \
		main.cpp \
		util.cpp \
		util_unix.cpp \
		libaegisub_access.cpp \
		libaegisub_cajun.cpp \
		libaegisub_hotkey.cpp \
		libaegisub_iconv.cpp \
		libaegisub_keyframe.cpp \
		libaegisub_line_iterator.cpp \
		libaegisub_option.cpp \
		libaegisub_mru.cpp \
		libaegisub_signals.cpp \
		libaegisub_thesaurus.cpp \
		libaegisub_util.cpp \
		libaegisub_vfr.cpp \
		libaegisub_line_wrap.cpp
		
HEADER = \
	*.h

include ../Makefile.target

=== tools/Makefile ===
include ../Makefile.inc

PROGRAM = common-respack

SRC			+= common-respack.cpp

ifdef $(BUILD_DARWIN)
bin_PROGRAMS += osx-bundle-restart-helper
osx_bundle_restart_helper_SOURCES = osx-bundle-restart-helper.c
endif


EXTRA_DIST = \
	osx-bundle-restart-helper.c \
	osx-bundle.sh \
	osx-bundle.sed.in \
	osx-dmg.sh \
	osx-fix-libs.py

DISTCLEANFILES= \
	osx-bundle.sed

include ../Makefile.target

=== universalchardet/Makefile ===
include ../Makefile.inc

LIB = libuniversalchardet.a

CXXFLAGS += -D_X86_

SRC = \
	CharDistribution.cpp \
	JpCntx.cpp \
	LangBulgarianModel.cpp \
	LangCyrillicModel.cpp \
	LangGreekModel.cpp \
	LangHebrewModel.cpp \
	LangHungarianModel.cpp \
	LangThaiModel.cpp \
	nsBig5Prober.cpp \
	nsCharSetProber.cpp \
	nsEUCJPProber.cpp \
	nsEUCKRProber.cpp \
	nsEUCTWProber.cpp \
	nsEscCharsetProber.cpp \
	nsEscSM.cpp \
	nsGB2312Prober.cpp \
	nsHebrewProber.cpp \
	nsLatin1Prober.cpp \
	nsMBCSGroupProber.cpp \
	nsMBCSSM.cpp \
	nsSBCSGroupProber.cpp \
	nsSBCharSetProber.cpp \
	nsSJISProber.cpp \
	nsUTF8Prober.cpp \
	nsUniversalDetector.cpp

HEADER = *.h

EXTRA_DIST = \
	Big5Freq.tab \
	EUCKRFreq.tab \
	EUCTWFreq.tab \
	GB2312Freq.tab \
	JISFreq.tab

include ../Makefile.target
-include *.d

## aegisub 2.1.9

=== debian/changelog ===
aegisub (2.1.9-1) unstable; urgency=low

  * Initial Debian release (Closes: #580594)

 -- Sebastian Reichel <sre@debian.org>  Fri, 16 Mar 2012 22:58:00 +0100

=== debian/control ===
Source: aegisub
Section: video
Priority: extra
Maintainer: Sebastian Reichel <sre@debian.org>
Build-Depends: debhelper (>= 8~),
               intltool,
               libasound2-dev [linux-any],
               libass-dev,
               libffms2-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libhunspell-dev,
               liblua5.1-0-dev,
               libpulse-dev,
               libwxgtk2.8-dev
Standards-Version: 3.9.3
Homepage: http://www.aegisub.org/
Vcs-Git: git://git.debian.org/git/collab-maint/aegisub.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/aegisub.git;a=summary


Package: aegisub
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: aegisub-l10n
Description: advanced subtitle editor
 Originally created as tool to make typesetting, particularly in anime
 fansubs, a less painful experience, Aegisub has grown into a fully
 fledged, highly customizable subtitle editor.
 .
 It features a lot of convenient tools to help you with timing, typesetting,
 editing and translating subtitles, as well as a powerful scripting environment
 called Automation (originally mostly intended for creating karaoke effects,
 Automation can now be used much else, including creating macros and various
 other convenient tools).

Package: aegisub-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends},
         aegisub (>= ${source:Version}),
         aegisub (<< ${source:Version}.1~)
Description: aegisub language packages
 Originally created as tool to make typesetting, particularly in anime
 fansubs, a less painful experience, Aegisub has grown into a fully
 fledged, highly customizable subtitle editor.
 .
 It features a lot of convenient tools to help you with timing, typesetting,
 editing and translating subtitles, as well as a powerful scripting environment
 called Automation (originally mostly intended for creating karaoke effects,
 Automation can now be used much else, including creating macros and various
 other convenient tools).
 .
 This package contains language packages for the following languages:
 ca, cs, da, de, el, es, fa, fi, fr, hu, id, it, ja, ko, pl, pt_BR, pt_PT, ru,
 sr_RS, vi, zh_CN, zh_TW

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_installdocs:
	dh_installdocs --link-doc=aegisub

override_dh_auto_test:
	# skip test

## aegisub 3.0.4

=== debian/changelog ===
aegisub (3.0.4-2build1) trusty; urgency=medium

  * No change rebuild against libffms2-3.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Dec 2013 19:56:53 +0000

aegisub (3.0.4-2) unstable; urgency=low

  * Cherry-pick new upstream patch, which fixes the menu bar
  * Use canonical Vcs URLs

 -- Sebastian Reichel <sre@debian.org>  Fri, 22 Nov 2013 13:08:28 +0100

aegisub (3.0.4-1) unstable; urgency=low

  * New upstream release (Closes: #691384, #713679, #721189)
  * Use dh-autoreconf (Closes: #727313)
  * Update patches
  * Add new patch for wxWidgets 3.0 support
  * Update Debian Standards Version: 3.9.3 -> 3.9.5
  * Update Compat level: 8 -> 9
  * Build -dbg package
  * Update manpage

 -- Sebastian Reichel <sre@debian.org>  Thu, 14 Nov 2013 16:49:59 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: video
 Priority: extra
 Maintainer: Sebastian Reichel <sre@debian.org>
-Build-Depends: debhelper (>= 8~),
+Build-Depends: debhelper (>= 9~),
+               dh-autoreconf,
                intltool,
                libasound2-dev [linux-any],
                libass-dev,
                libffms2-dev,
+               libfftw3-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
                libgl1-mesa-dev | libgl-dev,
@@ -14,11 +16,11 @@
                libhunspell-dev,
                liblua5.1-0-dev,
                libpulse-dev,
-               libwxgtk2.8-dev
-Standards-Version: 3.9.3
+               libwxgtk3.0-dev
+Standards-Version: 3.9.5
 Homepage: http://www.aegisub.org/
-Vcs-Git: git://git.debian.org/git/collab-maint/aegisub.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/aegisub.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/aegisub.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/aegisub.git;a=summary
 
 
 Package: aegisub
@@ -57,3 +59,21 @@
  This package contains language packages for the following languages:
  ca, cs, da, de, el, es, fa, fi, fr, hu, id, it, ja, ko, pl, pt_BR, pt_PT, ru,
  sr_RS, vi, zh_CN, zh_TW
+
+Package: aegisub-dbg
+Section: debug
+Architecture: any
+Depends: ${misc:Depends},
+         aegisub (= ${binary:Version})
+Description: aegisub debug symbols
+ Originally created as tool to make typesetting, particularly in anime
+ fansubs, a less painful experience, Aegisub has grown into a fully
+ fledged, highly customizable subtitle editor.
+ .
+ It features a lot of convenient tools to help you with timing, typesetting,
+ editing and translating subtitles, as well as a powerful scripting environment
+ called Automation (originally mostly intended for creating karaoke effects,
+ Automation can now be used much else, including creating macros and various
+ other convenient tools).
+ .
+ This package the debug symbols for aegisub.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_installdocs:
	dh_installdocs --link-doc=aegisub

override_dh_strip:
	dh_strip --dbg-package=aegisub-dbg

override_dh_auto_install:
	dh_auto_install
	find debian/tmp/usr/share -type f -exec chmod a-x '{}' ';'

override_dh_auto_clean:
	cp build/git_version.h debian/git_version.h.backup
	cp build/version.sh debian/version.sh.backup
	-dh_auto_clean
	mv debian/git_version.h.backup build/git_version.h
	mv debian/version.sh.backup build/version.sh
	rm -f src/libresrc/default_config_platform.json

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_test:
	# skip test

=== debian/watch ===
version=3
http://ftp.aegisub.org/pub/releases/aegisub-([0-9\.]+).tar.gz

## aegisub 3.1.2

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	$(BIN_SHELL) tools/osx-bundle.sh "$(AEGISUB_COMMAND)" "$(BIN_WX_CONFIG)" DICT_DIR=$(DICT_DIR)
 
 osx-dmg: osx-bundle
+	codesign -s 'Mac Developer' --deep Aegisub.app || true
 	$(BIN_SHELL) tools/osx-dmg.sh "$(BUILD_VERSION_STRING)"
 
 osx-tinderbox-bundle:

=== automation/Makefile ===
include ../Makefile.inc

LIB_SHARED = aegisub.so
LIB_VERSION = 0.1.0
BUILD_LIB = no

CXXFLAGS += -I../libaegisub/include -I../src $(CXXFLAGS_WX)
CPPFLAGS += $(CPPFLAGS_BOOST)

LIBS := -L../libaegisub -laegisub $(LIBS)
LIBS += $(LIBS_WX) $(LIBS_BOOST) $(LIBS_ICU) $(LIBS_LUA)

SRC += tests/aegisub.cpp ../src/auto4_regex.cpp

test: $(LIB_SHARED)
	moon tests/runner.moon

.PHONY: test

# share/
DATA_AUTOMATION += \
	autoload/clean-info.lua \
	autoload/cleantags-autoload.lua \
	autoload/kara-templater.lua \
	autoload/karaoke-auto-leadin.lua \
	autoload/macro-1-edgeblur.lua \
	autoload/macro-2-mkfullwitdh.lua \
	autoload/select-overlaps.moon \
	autoload/strip-tags.lua \
	demos/future-windy-blur.lua \
	demos/raytracer.lua \
	include/aegisub/clipboard.lua \
	include/aegisub/re.moon \
	include/aegisub/unicode.moon \
	include/aegisub/util.moon \
	include/cleantags.lua \
	include/clipboard.lua \
	include/karaskel-auto4.lua \
	include/karaskel.lua \
	include/moonscript.lua \
	include/re.lua \
	include/unicode.lua \
	include/utils-auto4.lua \
	include/utils.lua

all: ;

install: install-share
	@$(BIN_MKDIR) -p $(addprefix $(DESTDIR)$(P_DATA)/automation/, $(dir $(DATA_AUTOMATION)))
	@for i in $(DATA_AUTOMATION); do \
		$(BIN_ECHO) "$(BIN_INSTALL) -m644 $$i $(DESTDIR)$(P_DATA)/automation/$$i"; \
		$(BIN_INSTALL) -m644 $$i $(DESTDIR)$(P_DATA)/automation/$$i; \
	done

EXTRA_DIST = $(DATA_AUTOMATION)

include ../Makefile.target

=== desktop/Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 iconsscalabledir = $(DESKTOP_DATADIR)/icons/hicolor/scalable/apps
 iconsscalable_DATA = scalable/aegisub.svg
 
+aegisub.desktop: aegisub.desktop.template ../po
+	intltool-merge --quiet --desktop-style ../po aegisub.desktop.template aegisub.desktop
 
 all: ;
 
@@ -20,17 +22,17 @@
 ICON_SCALABLE = \
 	scalable/apps/aegisub.svg
 
-DESKTOP_FILE = \
-	aegisub.desktop
+DESKTOP_FILE = aegisub.desktop
 
 EXTRA_DIST = \
-	aegisub.desktop.in \
+	aegisub.desktop.template.in \
+	aegisub.desktop.template \
 	$(ICON_HICOLOR) \
 	$(ICON_SCALABLE)
 
 install: install-desktop install-icons
 
-install-desktop:
+install-desktop: $(DESKTOP_FILE)
 	@$(BIN_MKDIR) -p $(DESTDIR)$(P_DESKTOP)
 	$(BIN_INSTALL) $(DESKTOP_FILE) $(DESTDIR)$(P_DESKTOP)/$(DESKTOP_FILE)
 
@@ -38,8 +40,8 @@
 install-icons:
 	@$(BIN_MKDIR) -p $(addprefix $(DESTDIR)$(P_ICON)/hicolor/, $(dir $(ICON_HICOLOR)))
 	@for i in $(ICON_HICOLOR); do \
-		$(BIN_ECHO) "$(BIN_INSTALL) $$i $(DESTDIR)$(P_ICON)/hicolor/$$i"; \
-		$(BIN_INSTALL) $$i $(DESTDIR)$(P_ICON)/hicolor/$$i; \
+		$(BIN_ECHO) "$(BIN_INSTALL) -m644 $$i $(DESTDIR)$(P_ICON)/hicolor/$$i"; \
+		$(BIN_INSTALL) -m644 $$i $(DESTDIR)$(P_ICON)/hicolor/$$i; \
 	done
 	$(BIN_TOUCH) $(DESTDIR)$(P_ICON)/hicolor
 	$(BIN_MKDIR) -p $(DESTDIR)$(P_ICON)/hicolor/scalable/apps

=== libaegisub/Makefile ===
include ../Makefile.inc

LIB = libaegisub.a

CXXFLAGS += -Iinclude -I../src -I.. -DLAGI -fPIC -Wno-variadic-macros
CPPFLAGS += $(CPPFLAGS_BOOST)

PRECOMPILED_HEADER_NAME = lagi_pre.h
lagi_pre.h.gch: CXXFLAGS := $(CXXFLAGS)

common/charset_conv.o: CXXFLAGS += $(CFLAGS_ICONV)
common/parser.o: CXXFLAGS += -ftemplate-depth=256
unix/path.o: CXXFLAGS += -DP_DATA=\"$(P_DATA)\" -DP_DOC=\"$(P_DOC)\" -DP_LOCALE=\"$(P_LOCALE)\"

SRC += \
	common/parser.cpp \
	ass/dialogue_parser.cpp \
	ass/uuencode.cpp \
	common/cajun/elements.cpp \
	common/cajun/reader.cpp \
	common/cajun/writer.cpp \
	common/calltip_provider.cpp \
	common/charset.cpp \
	common/charset_6937.cpp \
	common/charset_conv.cpp \
	common/color.cpp \
	common/dispatch.cpp \
	common/fs.cpp \
	common/hotkey.cpp \
	common/io.cpp \
	common/json.cpp \
	common/kana_table.cpp \
	common/karaoke_matcher.cpp \
	common/keyframe.cpp \
	common/log.cpp \
	common/mru.cpp \
	common/option.cpp \
	common/option_visit.cpp \
	common/path.cpp \
	common/thesaurus.cpp \
	common/util.cpp \
	common/vfr.cpp \
	unix/access.cpp \
	unix/fs.cpp \
	unix/log.cpp \
	unix/path.cpp \
	unix/util.cpp

ifeq (yes, $(BUILD_DARWIN))
SRC += osx/util.mm
endif

HEADER += \
	*.h \
	*/*.h \
	include/libaegisub/*.h \
	include/libaegisub/charsets.def \
	include/libaegisub/cajun/*.h

EXTRA_DIST += osx/util.mm

include ../Makefile.target
-include */*.d

=== po/Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 PO = \
 	ar.po \
+	bg.po \
 	ca.po \
 	cs.po \
 	da.po \
@@ -14,6 +15,7 @@
 	fa.po \
 	fi.po \
 	fr_FR.po \
+	gl.po \
 	hu.po \
 	id.po \
 	it.po \
@@ -40,8 +42,8 @@
 install:
 	@$(BIN_MKDIR) -p $(addsuffix /LC_MESSAGES/, $(addprefix $(DESTDIR)$(P_LOCALE)/, $(basename $(PO))))
 	@for i in $(basename $(PO)); do \
-		echo $(BIN_INSTALL) $$i.mo $(DESTDIR)$(P_LOCALE)/$$i/LC_MESSAGES/$(AEGISUB_CATALOG).mo; \
-		$(BIN_INSTALL) $$i.mo $(DESTDIR)$(P_LOCALE)/$$i/LC_MESSAGES/$(AEGISUB_CATALOG).mo; \
+		$(BIN_ECHO) "$(BIN_INSTALL) -m644 $$i.mo $(DESTDIR)$(P_LOCALE)/$$i/LC_MESSAGES/$(AEGISUB_CATALOG).mo"; \
+		$(BIN_INSTALL) -m644 $$i.mo $(DESTDIR)$(P_LOCALE)/$$i/LC_MESSAGES/$(AEGISUB_CATALOG).mo; \
 	done

=== src/Makefile ===
--- 
+++ 
@@ -5,22 +5,22 @@
 
 PRECOMPILED_HEADER_NAME=agi_pre.h
 
-AEGISUB_CFLAGS = -I. -I.. -Iinclude -I../libaegisub/include -I../build -DAEGISUB $(CFLAGS_PTHREAD) $(CFLAGS_FFTW3) $(CFLAGS_PROFILE)
+AEGISUB_CFLAGS = -I. -I.. -Iinclude -I../libaegisub/include -I../build -DAEGISUB $(CFLAGS_PTHREAD) $(CFLAGS_FFTW3) $(CFLAGS_ICU)
 
 CFLAGS += $(AEGISUB_CFLAGS)
 CXXFLAGS += $(AEGISUB_CFLAGS) -D__STDC_FORMAT_MACROS $(CXXFLAGS_WX)
 
 LIBS := -L../libaegisub -laegisub $(LIBS)
-LIBS += $(LIBS_CCMALLOC) $(LIBS_EFENCE) $(LIBS_GL)
-LIBS += $(LIBS_PTHREAD) $(LIBS_WX) $(LIBS_FREETYPE)
-LIBS += $(LIBS_FONTCONFIG) $(LIBS_FFTW3)
-LIBS += $(LIBS_UCHARDET)
-
-LDFLAGS += $(LDFLAGS_CCMALLOC)
+LIBS += $(LIBS_GL) $(LIBS_PTHREAD) $(LIBS_WX) $(LIBS_FREETYPE)
+LIBS += $(LIBS_FONTCONFIG) $(LIBS_FFTW3) $(LIBS_UCHARDET) $(LIBS_BOOST)
+LIBS += $(LIBS_ICU) $(LIBS_LUA)
 
 ifeq (yes, $(BUILD_DARWIN))
 SRC += osx_utils.mm
 endif
+
+lpeg.o: CFLAGS += -Wno-unused-function
+MatroskaParser.o: CFLAGS += -Wno-sometimes-uninitialized
 
 ###############
 # AUDIO PLAYERS
@@ -79,24 +79,10 @@
 ###########
 # SUBTITLES
 ###########
-ifeq (yes, $(HAVE_LIBASS))
-subtitles_provider_libass.o: CXXFLAGS += $(CFLAGS_LIBASS)
+subtitles_provider_libass.o: CXXFLAGS += $(CFLAGS_LIBASS) -Wno-c++11-narrowing
+subtitles_provider.o: CXXFLAGS += $(CFLAGS_LIBASS)
 LIBS += $(LIBS_LIBASS)
 SRC += subtitles_provider_libass.cpp
-else
-EXTRA_DIST += subtitles_provider_libass.cpp
-endif
-
-############
-# AUTOMATION
-############
-ifeq (yes, $(HAVE_AUTO4_LUA))
-auto4_lua.o auto4_lua_assfile.o auto4_lua_dialog.o  auto4_lua_progresssink.o auto4_lua_scriptreader.o: CXXFLAGS += $(CFLAGS_LUA)
-LIBS += $(LIBS_LUA)
-SRC += auto4_lua.cpp auto4_lua_assfile.cpp auto4_lua_dialog.cpp auto4_lua_progresssink.cpp auto4_lua_scriptreader.cpp
-else
-EXTRA_DIST += auto4_lua.cpp auto4_lua_assfile.cpp auto4_lua_dialog.cpp auto4_lua_progresssink.cpp auto4_lua_scriptreader.cpp
-endif
 
 ##############
 # MISCELLANOUS
@@ -119,6 +105,8 @@
 font_file_lister_fontconfig.o: CXXFLAGS += $(CFLAGS_FONTCONFIG)
 text_file_reader.o:            CXXFLAGS += -D_X86_
 video_provider_manager.o:      CXXFLAGS += $(CFLAGS_FFMS2)
+auto4_lua.o auto4_lua_assfile.o auto4_lua_dialog.o  auto4_lua_progresssink.o auto4_lua_regex.o auto4_lua_scriptreader.o auto4_regex.o: CXXFLAGS += $(CFLAGS_LUA)
+lpeg.o: CFLAGS += $(CFLAGS_LUA)
 
 SRC += \
 	MatroskaParser.c \
@@ -131,18 +119,20 @@
 	ass_file.cpp \
 	ass_karaoke.cpp \
 	ass_override.cpp \
+	ass_parser.cpp \
 	ass_style.cpp \
 	ass_style_storage.cpp \
 	ass_time.cpp \
 	audio_box.cpp \
+	audio_colorscheme.cpp \
 	audio_controller.cpp \
-	audio_colorscheme.cpp \
 	audio_display.cpp \
 	audio_karaoke.cpp \
 	audio_marker.cpp \
 	audio_player.cpp \
 	audio_provider.cpp \
 	audio_provider_convert.cpp \
+	audio_provider_dummy.cpp \
 	audio_provider_hd.cpp \
 	audio_provider_lock.cpp \
 	audio_provider_pcm.cpp \
@@ -153,9 +143,14 @@
 	audio_timing_dialogue.cpp \
 	audio_timing_karaoke.cpp \
 	auto4_base.cpp \
+	auto4_lua.cpp \
+	auto4_lua_assfile.cpp \
+	auto4_lua_dialog.cpp \
+	auto4_lua_progresssink.cpp \
+	auto4_lua_scriptreader.cpp \
+	auto4_regex.cpp \
 	avisynth_wrap.cpp \
 	base_grid.cpp \
-	charset_conv.cpp \
 	charset_detect.cpp \
 	colorspace.cpp \
 	colour_button.cpp \
@@ -163,6 +158,7 @@
 	dialog_about.cpp \
 	dialog_attachments.cpp \
 	dialog_automation.cpp \
+	dialog_autosave.cpp \
 	dialog_colorpicker.cpp \
 	dialog_detached_video.cpp \
 	dialog_dummy_video.cpp \
@@ -189,7 +185,6 @@
 	dialog_translation.cpp \
 	dialog_version_check.cpp \
 	dialog_video_details.cpp \
-	audio_provider_dummy.cpp \
 	export_fixstyle.cpp \
 	export_framerate.cpp \
 	fft.cpp \
@@ -201,25 +196,27 @@
 	help_button.cpp \
 	hotkey.cpp \
 	hotkey_data_view_model.cpp \
-	kana_table.cpp \
+	initial_line_state.cpp \
+	lpeg.c \
 	main.cpp \
 	menu.cpp \
-	md5.c \
 	mkv_wrap.cpp \
 	pen.cpp \
 	persist_location.cpp \
 	plugin_manager.cpp \
 	preferences.cpp \
 	preferences_base.cpp \
+	resolution_resampler.cpp \
 	scintilla_text_ctrl.cpp \
+	scintilla_text_selection_controller.cpp \
+	search_replace_engine.cpp \
 	spellchecker.cpp \
 	spline.cpp \
 	spline_curve.cpp \
-	standard_paths.cpp \
 	string_codec.cpp \
+	subs_controller.cpp \
 	subs_edit_box.cpp \
 	subs_edit_ctrl.cpp \
-	subs_grid.cpp \
 	subs_preview.cpp \
 	subtitle_format.cpp \
 	subtitle_format_ass.cpp \
@@ -235,14 +232,13 @@
 	text_file_reader.cpp \
 	text_file_writer.cpp \
 	thesaurus.cpp \
+	threaded_frame_source.cpp \
 	timeedit_ctrl.cpp \
-	threaded_frame_source.cpp \
 	toggle_bitmap.cpp \
 	toolbar.cpp \
 	tooltip_manager.cpp \
 	utils.cpp \
 	validators.cpp \
-	variable_data.cpp \
 	vector2d.cpp \
 	version.cpp \
 	video_box.cpp \

=== tests/Makefile ===
# $Id$
include ../Makefile.inc

PROGRAM = run

LIBS += -L../libaegisub -laegisub -L../universalchardet -luniversalchardet $(LIBS_BOOST) $(LIBS_ICU)
LDFLAGS += -Wl,-rpath $(CURDIR)/../libaegisub $(LDFLAGS_ICONV)

CPPFLAGS += -I../src/include -I../libaegisub/include $(CFLAGS_ICONV) -I${GTEST_ROOT} -I${GTEST_ROOT}/include -I./support $(CPPFLAGS_BOOST)
CXXFLAGS += -Wno-unused-value -Wno-sign-compare

ifeq (yes, $(BUILD_DARWIN))
LDFLAGS += -framework ApplicationServices -framework Foundation
endif

SRC = \
		support/main.cpp \
		support/util.cpp \
		support/util_unix.cpp \
		tests/access.cpp \
		tests/cajun.cpp \
		tests/color.cpp \
		tests/dialogue_lexer.cpp \
		tests/fs.cpp \
		tests/hotkey.cpp \
		tests/iconv.cpp \
		tests/ifind.cpp \
		tests/karaoke_matcher.cpp \
		tests/keyframe.cpp \
		tests/line_iterator.cpp \
		tests/line_wrap.cpp \
		tests/mru.cpp \
		tests/option.cpp \
		tests/path.cpp \
		tests/signals.cpp \
		tests/syntax_highlight.cpp \
		tests/thesaurus.cpp \
		tests/util.cpp \
		tests/uuencode.cpp \
		tests/vfr.cpp \
		tests/word_split.cpp \
		${GTEST_ROOT}/src/gtest-all.cc

HEADER = support/*.h tests/*.h

include ../Makefile.target

=== tools/Makefile ===
--- 
+++ 
@@ -4,11 +4,12 @@
 
 SRC			+= common-respack.cpp
 
-ifdef $(BUILD_DARWIN)
-bin_PROGRAMS += osx-bundle-restart-helper
-osx_bundle_restart_helper_SOURCES = osx-bundle-restart-helper.c
+ifeq (yes, $(BUILD_DARWIN))
+osx-bundle-restart-helper: osx-bundle-restart-helper.c
+	$(BIN_CC) -o osx-bundle-restart-helper osx-bundle-restart-helper.c
+CLEANFILES += osx-bundle-restart-helper
+all: osx-bundle-restart-helper
 endif
-
 
 EXTRA_DIST = \
 	osx-bundle-restart-helper.c \

=== debian/changelog ===
aegisub (3.1.2-1) unstable; urgency=low

  * New upstream release
  * Import updated watch file from Bart Martens
  * Bump ffms2 build dependency to 2.19 to fix audio problems and
    have correct binary dependencies (Closes: #731143, #730416)
  * Remove patches, which were imported from upstream git

 -- Sebastian Reichel <sre@debian.org>  Thu, 13 Feb 2014 02:58:17 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,21 @@
                intltool,
                libasound2-dev [linux-any],
                libass-dev,
-               libffms2-dev,
+               libboost-dev,
+               libboost-chrono-dev,
+               libboost-filesystem-dev,
+               libboost-locale-dev,
+               libboost-regex-dev,
+               libboost-system-dev,
+               libboost-thread-dev,
+               libffms2-dev (>= 2.19),
                libfftw3-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
                libgl1-mesa-dev | libgl-dev,
                libglu1-mesa-dev | libglu-dev,
                libhunspell-dev,
+               libicu-dev,
                liblua5.1-0-dev,
                libpulse-dev,
                libwxgtk3.0-dev

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
@@ -9,6 +10,9 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=aegisub-dbg
+
+override_dh_auto_configure:
+	dh_auto_configure -- --with-boost-libdir=/usr/lib/${DEB_HOST_MULTIARCH}
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
http://ftp.aegisub.org/pub/releases/ \
(?:|.*/)aegisub(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## aegisub 3.2.2%2Bdfsg

=== debian/changelog ===
aegisub (3.2.2+dfsg-7.2ubuntu2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:25:27 +0200

aegisub (3.2.2+dfsg-7.2ubuntu1) plucky; urgency=medium

  * Build with -std=c++17.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2025 13:10:50 +0100

aegisub (3.2.2+dfsg-7.2build2) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 20:28:09 +0100

aegisub (3.2.2+dfsg-7.2build1) plucky; urgency=medium

  * Rebuild against New luajit on riscv64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Nov 2024 10:43:17 +0100

aegisub (3.2.2+dfsg-7.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * d/p/aegisub-add-support-for-loong64.patch: Add support for loong64
    (Closes: #1074372)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2024 11:46:24 +0200

aegisub (3.2.2+dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix compilation against boost_1.83. (Closes: #1056090)

 -- Anton Gladky <gladk@debian.org>  Sat, 23 Dec 2023 22:32:02 +0100

aegisub (3.2.2+dfsg-7) unstable; urgency=medium

  * Update standards to 4.6.1.
  * Update d/watch to watch GitHub releases.
  * Set the aegisub.appdata.xml desktop ID to a reverse domain name.
  * Remove constraints unnecessary since buster:
    + Remove 1 maintscript entries from 1 files.
  * Enable migration again by not building against libluajit on ppc64el.
  * Enable building against libluajit on s390x.
  * Transition to wxwidgets3.2 (Closes: #1019807).

 -- Aniol Martí <amarti@caliu.cat>  Thu, 15 Sep 2022 10:52:38 +0000

aegisub (3.2.2+dfsg-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace -Wno-c++11-narrowing with -Wno-narrowing.
  * Add upstream patches for newer ffmpeg and FFMS2.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 20 Jul 2022 21:00:23 +0200

aegisub (3.2.2+dfsg-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove unconditional -Wno-c++11-narrowing.
  * Use pkgconf instead of pkg-config.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 20 Jul 2022 16:13:45 +0200

aegisub (3.2.2+dfsg-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/patches:
    + Add patch to fix FTBFS with new autotools/gettext. (Closes: #997098)
    + Add proposed patch to fix boost1.75+ detection.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Apr 2022 22:18:47 -0400

aegisub (3.2.2+dfsg-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 3.2.2+dfsg-4.
  * Set field Upstream-Name in debian/copyright.
  * Drop unnecessary dependency on dh-autoreconf.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Aniol Marti ]
  * Add patch to fix compilation with Boost >= 1.69.0 (Closes: #948122).
  * Update standards from 4.4.0 to 4.5.0.
  * Update compat from 12 to 13.
  * Add patch to fix build with make > 4.2.
  * Do not override dh_installdocs and dh_autoreconf.
  * Silence errors in pkg-config lua/luajit to allow using one or the other.
  * Set Rules-Requires-Root to no.
  * Install aegisub.appdata.xml.

 -- Aniol Marti <amarti@caliu.cat>  Wed, 03 Jun 2020 22:18:48 +0000

aegisub (3.2.2+dfsg-5) unstable; urgency=medium

  * Fix bug in simplify-version.patch.
  * Replace d/aegisub-l10n.p* for d/aegisub-l10n.maintscript.
  * Update Debian Standards version to 4.4.0.
  * Use debhelper-compat 12 instead of debhelper.
  * Use Lua or LuaJIT (Closes: #892765).
  * Use wxWidgets GTK 3 (Closes: #933455).
  * Add libhunspell-dev to Build-Depends (fixes SEGV).
  * Apply patch provided in #935724 (Closes: #935724).
  * Update build dependencies. Some were missing, some weren't needed.
  * Disable update checker.

 -- Aniol Marti <amarti@caliu.cat>  Sat, 21 Sep 2019 11:04:16 +0000

aegisub (3.2.2+dfsg-4) unstable; urgency=medium

  [ Gunnar Wolf ]
  * Incorporate upstream patch to fix FTBFS. The patch itself (linked from the
    bug report) comes from
    https://build.opensuse.org/package/view_file/multimedia:apps/aegisub/luabins.patch?expand=1

  * Updated Vcs-* fields to point to Salsa instead of Alioth

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Aniol Marti ]
  * Add patches to fix bug in Buster and Sid (Closes: #873327, #903580)
  * Update Debian Standards Version to 4.2.1
  * Update Aegisub version to 3.2.2 in debian/manpages
  * Remove debian/menu
  * Set aegisub-dbg priority to optional
  * New maintainer (Closes: #915363)

 -- Aniol Marti <amarti@caliu.cat>  Thu, 20 Dec 2018 16:40:35 +0100

aegisub (3.2.2+dfsg-3) unstable; urgency=medium

  * replace aegisub-l10n's doc symlink with actual directory to
    support binNMUs (Closes: #799316).

 -- Sebastian Reichel <sre@debian.org>  Sat, 19 Sep 2015 00:30:12 +0200

aegisub (3.2.2+dfsg-2) unstable; urgency=medium

  * Fix FTBFS on mips* and ppc by linking against -latomic

 -- Sebastian Reichel <sre@debian.org>  Mon, 10 Aug 2015 02:54:36 +0200

aegisub (3.2.2+dfsg-1) unstable; urgency=low

  [ Pascal De Vuyst ]
  * Fix Typo in package description (Closes: #739219)

  [ Juan Picca ]
  * Add patch to fix reproducible build (Closes: #789728)

  [ Sebastian Reichel ]
  * New upstream release
   - remove vendor directory from orig tarball
  * Update Debian Standards Version to 3.9.6

 -- Sebastian Reichel <sre@debian.org>  Tue, 04 Aug 2015 21:40:50 +0200
